Page MenuHomePhabricator

apertium-apy doesn't honor -P / --log-path
Closed, ResolvedPublic

Description

Current apertium-apy (>= 0.11.3) in Production doesn't honor logging -P / --log-path= anymore

Test case

mkdir /tmp/apy-log
/usr/bin/apertium-apy -j1 -m300 --daemon --log-path /tmp/apy-log -p 50000 /usr/share/apertium/modes

This prevents logging in Production and further debugging.

Packaging

  • Debian
  • WMF
  • Deployment

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2018, 2:50 PM
KartikMistry triaged this task as High priority.Jul 16 2018, 7:11 AM

In progress with help of Apertium upstream.

KartikMistry updated the task description. (Show Details)Oct 1 2018, 12:01 PM
KartikMistry updated the task description. (Show Details)Oct 1 2018, 12:44 PM

Change 463745 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-apy@master] apertium-apy: New upstream release

https://gerrit.wikimedia.org/r/463745

Change 463745 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-apy@master] apertium-apy: New upstream release

https://gerrit.wikimedia.org/r/463745

Mentioned in SAL (#wikimedia-operations) [2018-10-16T07:22:43Z] <akosiaris> upload apertium-apy_0.11.4-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main T199447

Mentioned in SAL (#wikimedia-operations) [2018-10-16T07:46:58Z] <akosiaris> upgrade apertium-apy throught the fleet T199447

KartikMistry closed this task as Resolved.Oct 24 2018, 7:04 AM